## GstStreamConsistency GstStreamConsistency |

## Functions

GstStreamConsistency * | gst_consistency_checker_new ()
void | gst_consistency_checker_reset ()
void | gst_consistency_checker_free ()
gboolean | gst_consistency_checker_add_pad ()

## Types and Values

| GstStreamConsistency

## Includes

    #include <gst/check/gstconsistencychecker.h>

## Description

## Functions

### gst_consistency_checker_new ()

    GstStreamConsistency *
    gst_consistency_checker_new (GstPad *pad);

### gst_consistency_checker_reset ()

    void
    gst_consistency_checker_reset (GstStreamConsistency *consist);

### gst_consistency_checker_free ()

    void
    gst_consistency_checker_free (GstStreamConsistency *consist);

### gst_consistency_checker_add_pad ()

    gboolean
    gst_consistency_checker_add_pad (GstStreamConsistency *consist,
                                     GstPad *pad);

## Types and Values

### GstStreamConsistency

    typedef struct _GstStreamConsistency GstStreamConsistency;